## dbuskit 0.1.1

=== debian/changelog ===
dbuskit (0.1.1-14) unstable; urgency=medium

  * debian/control (Build-Depends): Remove xauth and xvfb; not needed.
    (Description): Fix typo and a remnant from the package split.
    (Breaks, Replaces): Remove; obsolete.
  * debian/rules (override_dh_auto_test-arch): Drop xvfb-run usage.
  * debian/tests/testsuite: Likewise.
  * debian/patches/DKEndpointManager-concurrency.patch: Fix concurrency
    bug in -boolReturnForPerformingSelector:target:data:waitForReturn:
    that lead to random DKProxy test failures (Closes: #1105729).  Thanks
    Kaloian Doganov.
  * debian/patches/big-endian.patch: Avoid unnecessary cast.  Remove
    DKMethodCall change which was a partial workaround for the bug fixed
    above.  Remove DKProxy's testThreadedMethodCalls annotation as
    hopeful; this test should pass everywhere now.
  * debian/patches/testsuite.patch: Always delete the created symlink so
    that "make check" can be run manually many times.
  * debian/watch: Rewrite for version 5; switch to GitHub.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 12 Oct 2025 11:48:52 +0300

dbuskit (0.1.1-13) unstable; urgency=medium

  * debian/patches/big-endian.patch: Fix bug in DKArgument
    -unmarshallFromIterator:intoInvocation:atIndex:boxing: with
    DBUS_TYPE_BOOLEAN on big-endian systeams.  Restore testDKProxy's
    return type for -NameHasOwner: which should work now.  Mark DKProxy's
    testThreadedMethodCalls as hopeful -- it is flaky and sometimes fails
    at whim on various architectures, including little-endian.  Stop
    checking GS_WORDS_BIGENDIAN and use portable casting everywhere.
    Tested on hppa, mips64 (buster), powerpc, ppc64, s390x and sparc64.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 09 Apr 2025 10:37:32 +0300

dbuskit (0.1.1-12) unstable; urgency=medium

  * debian/patches/big-endian.patch: Fix cast from pointer to integer
    accidentally introduced in previous upload which may be the cause for
    frequent DKProxy test failures (Closes: #1101589).

 -- Yavor Doganov <yavor@gnu.org>  Mon, 31 Mar 2025 09:34:52 +0300

dbuskit (0.1.1-11) unstable; urgency=medium

  * debian/patches/big-endian.patch: Make NameHasOwner return an NSNumber
    object; BOOL does not work on big-endian systems probably due to
    incorrect conversion from dbus_bool_t.  Fix bug in DKArgument
    -marshallArgumentAtIndex:fromInvocation:intoIterator:boxing: on
    hppa/powerpc when type is DBUS_TYPE_STRING.  Use GS_WORDS_BIGENDIAN to
    distinguish big-endian architectures.  Stop ignoring tests; all of
    them should pass now on all architectures.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 24 Mar 2025 17:23:03 +0200

dbuskit (0.1.1-10) unstable; urgency=medium

  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/big-endian.patch: Fix some issues on big-endian
    architectures that were exposed by the testsuite.  Temporarily ignore
    errors from the NameHasOwner D-Bus method which mysteriously fails
    there while GetNameOwner works.  Patch tested on ppc64.
  * debian/tests/testsuite: Run "autoreconf -vfi" before configure to
    recognize "unknown" architectures arm64, ppc64el and riscv64.
  * debian/tests/control (Depends): Add autoconf.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 18 Mar 2025 09:40:26 +0200

dbuskit (0.1.1-9) unstable; urgency=medium

  * debian/patches/testsuite.patch: New; switch the testsuite from UnitKit
    to the GNUstep Testing framework so that we have some real tests for
    this package.  The UnitKit framework is not portable so we can't
    package it and I fail to see a single advantage over GNUstep's
    standard testing facilities.
  * debian/rules (override_dh_auto_test-arch): New target; run the
    testsuite with xvfb-run and dbus-test-runner.
    (override_dh_auto_test-indep): New dummy target.  The library is not
    built during the arch:all build so "make check" is doomed to fail.
  * debian/control (Build-Depends): Add dbus-test-runner, xauth and xvfb
    (all annotated with <!nocheck>).
  * debian/tests/testsuite: New autopkgtest.
  * debian/tests/control (Tests): Add new test.
    (Restrictions): Change from "superficial" to "allow-stderr".
    (Depends): Add @builddeps@.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 12 Mar 2025 19:40:25 +0200

dbuskit (0.1.1-8) unstable; urgency=medium

  * Upload to unstable.
  * debian/control (Standards-Version): Bump to 4.7.2; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 06 Mar 2025 06:08:49 +0200

dbuskit (0.1.1-7) experimental; urgency=medium

  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control (Build-Depends): Move gnustep-base-doc, texinfo,
    texlive-fonts-recommended and texlive-latex-base to Build-Depends-Indep.
    (libdbuskit-dev) <Multi-Arch>: Set to "same" as the tool and
    documentation are moved to new packages.
    <Depends>: Remove ${shlibs:Depends}, now undefined.
    <Recommends>: Add dbuskit-dev-tools and dbuskit-doc.
    <Description>: Remove snippet about dk_make_protocol.
    (dbuskit-dev-tools, dbuskit-doc): New packages.
  * debian/rules (projects): Define unconditionally.
    (override_dh_auto_build): Split into -arch and -indep.
    (override_dh_auto_install): Likewise.
  * debian/libdbuskit-dev.install.in: Rename back to...
    debian/libdbuskit-dev.install: ...and remove usr/bin and usr/share.
  * debian/manpages: Rename as...
  * debian/dbuskit-dev-tools.manpages.
  * debian/examples: Rename as...
  * debian/dbuskit-doc.examples.
  * debian/libdbuskit-dev.doc-base.api: Rename as...
  * debian/dbuskit-doc.doc-base.api: ...and update paths accordingly.
  * debian/libdbuskit-dev.doc-base.manual: Rename as...
  * debian/dbuskit-doc.doc-base.manual: ...as above.
  * debian/libdbuskit-dev.links.in: Rename as...
  * debian/dbuskit-doc.links.in: ...as above.
  * debian/dbuskit-doc.install.in: New file.
  * debian/dbuskit-dev-tools.install: Likewise.
  * debian/clean: Update following the package split.
  * debian/upstream/metadata: Add missing marker.


