=== debian/control ===
Source: dbuskit
Priority: optional
Section: libs
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 dbus-test-runner <!nocheck>,
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 libdbus-1-dev,
 libgnustep-base-dev (>= 1.30.0-10),
 pkgconf,
Build-Depends-Indep:
 gnustep-base-doc <!nodoc>,
 texinfo <!nodoc>,
 texlive-fonts-recommended <!nodoc>,
 texlive-latex-base <!nodoc>,
Standards-Version: 4.7.2
Homepage: http://gnustep.org
Vcs-Git: https://salsa.debian.org/gnustep-team/dbuskit.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/dbuskit

Package: libdbuskit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdbuskit0 (= ${binary:Version}),
 libgnustep-base-dev,
 ${misc:Depends},
Recommends:
 dbuskit-dev-tools,
 dbuskit-doc,
Description: GNUstep framework that interfaces with D-Bus (development files)
 The DBusKit framework offers tight integration of D-Bus services into
 Objective-C applications.  It handles all low-level details of
 communication with D-Bus daemons and the services connected to them
 and exposes an interface similar to Distributed Objects to make it
 easy for Objective-C programmers to access D-Bus services.
 .
 Features:
  * Distributed Objects-like API for exchanging messages with D-Bus
    services.
  * A notification center class for watching signals emitted by D-Bus
    services.
 .
 This package contains the library development files.

Package: libdbuskit0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNUstep framework that interfaces with D-Bus (runtime library)
 The DBusKit framework offers tight integration of D-Bus services into
 Objective-C applications.  It handles all low-level details of
 communication with D-Bus daemons and the services connected to them
 and exposes an interface similar to Distributed Objects to make it
 easy for Objective-C programmers to access D-Bus services.
 .
 This package contains the runtime library.

Package: dbuskit-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libdbuskit-dev,
Description: GNUstep framework that interfaces with D-Bus (tools)
 The DBusKit framework offers tight integration of D-Bus services into
 Objective-C applications.  It handles all low-level details of
 communication with D-Bus daemons and the services connected to them
 and exposes an interface similar to Distributed Objects to make it
 easy for Objective-C programmers to access D-Bus services.
 .
 This package contains the "dk_make_protocol" tool which generates
 Objective-C protocol declarations from D-Bus interface files.

Package: dbuskit-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 gnustep-base-doc,
 libdbuskit-dev,
Description: GNUstep framework that interfaces with D-Bus (documentation)
 The DBusKit framework offers tight integration of D-Bus services into
 Objective-C applications.  It handles all low-level details of
 communication with D-Bus daemons and the services connected to them
 and exposes an interface similar to Distributed Objects to make it
 easy for Objective-C programmers to access D-Bus services.
 .
 This package contains the programming manual, the library API
 reference documentation and an example application.
