=== debian/tests/control ===
Tests: adequate file-tests testsuite
Restrictions: allow-stderr
Depends:
 adequate,
 autoconf,
 debhelper,
 file,
 shunit2,
 @,
 @builddeps@,
