=== debian/watch ===
Version: 5

Template: Github
Owner: gnustep
Project: libs-dbuskit
Source: https://api.github.com/repos/gnustep/libs-dbuskit/git/matching-refs/tags/[0-9]
Pgp-Mode: gittag
